* {
  padding: 0;
  margin: 0;
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

body {
  font-family: "Abel", Arial, sans-serif;
  background-color: #e5e5e5;
}

.more a {
  color: white;
}
/*pc layout*/
.nav-top {
  float: right;
  position: fixed;
  right: 0;
  left: 300px;
  background: rgba(0, 0, 0, 0.5);
  height: 80px;
  overflow: hidden;
  z-index: 5000;
}

.right-side {
  width: 40px;
  float: right;
  height: 40px;
  margin-right: 8%;
  margin-top: 20px;
}

/*left nav*/
.nav-left {
  position: fixed;
  width: 300px;
  background: rgba(0, 0, 0, 0.5);
  float: left;
  height: 100%;
}

.logo {
  margin: 0;
}

.logo img {
  width: 100%;
  margin: 0;
}

.listmenu {
  margin-top: 160px;
  height: calc(100% - 160px);
  width: 100%;
  text-align: center;
  overflow: hidden;
}

.listmenu ul {
  padding: 0px 15px 12px 0;
  list-style: none;
  overflow: auto;
  height: 100%;
  width: calc(100% + 15px);
}

.listmenu li {
  padding: 15px 0 15px 0;
  margin: 10px 0;
  background: rgba(0, 0, 0, 0.5);
}

.listmenu li:hover {
  background: rgba(0, 0, 0, 1);
}

.listmenu li a {
  text-decoration: none;
  color: white;
  font-size: 20px;
}

.listmenu li:hover,
a:hover {
  font-weight: bold;
}

/*info area*/

.postsection {
  float: right;
  position: absolute;
  width: calc(100% - 300px);
  max-width: 80%;
  padding: 0 2%;
  margin: 112px 0 0 300px;
  box-sizing: border-box;
}

.gallery-container {
  max-width: 900px;
  margin: 0 auto;
}

.postsection h2 {
  text-align: center;
  font-size: 32px;
  margin-bottom: 30px;
  overflow: hidden;
  color: white;
  text-shadow: 2px 2px 2px black;
}

.imagegallery {
  display: flex;
  margin-bottom: 100px;
  max-height: 300px;
  position: relative;
}

.leftimg img,
.rightimg img {
  object-fit: cover;
  object-position: center;
}

.leftimg {
  flex-basis: calc(70% - 2.5px);
  margin-right: 2.5px;
}

.rightimg {
  flex-basis: calc(30% - 2.5px);
  margin-left: 2.5px;
  display: flex;
  flex-direction: column;
}

.rightimg img {
  height: calc(50% - 2.5px);
}

.rightimg img:first-of-type {
  margin-bottom: 5px;
}

.project-gallery-label {
  height: 50px;
  position: absolute;
  text-align: center;
  bottom: -50px;
  box-shadow: 1px 1px 5px;
  background: rgba(0, 0, 0, 0.9);
  border-radius: 0 0 5px 5px;
  width: calc(70% - 2.5px);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.label-title {
  height: 50%;
}

.label-subtitle {
  height: 50%;
}

/* Style the Image Used to Trigger the Modal */
.myImg {
  border-radius: 5px 5px 0 0;
  cursor: pointer;
  transition: 0.3s;
}

.myImg:hover {
  opacity: 0.7;
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 10000; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.9); /* Black w/ opacity */
}

/* Modal Content (Image) */
.modal-content {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
}

/* Caption of Modal Image (Image Text) - Same Width as the Image */
#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #ccc;
  padding: 10px 0;
  height: 150px;
}

/* Add Animation - Zoom in the Modal */
.modal-content,
#caption {
  animation-name: zoom;
  animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
  from {
    -webkit-transform: scale(0);
  }
  to {
    -webkit-transform: scale(1);
  }
}

@keyframes zoom {
  from {
    transform: scale(0);
  }
  to {
    transform: scale(1);
  }
}

/* The Close Button */
.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

@media screen and (max-width: 860px) {
  .postsection h2 {
    margin-left: 5%;
  }

  .leftimg {
    flex-basis: 90%;
    margin: 0 auto;
  }

  .rightimg {
    display: none;
  }

  .project-gallery-label {
    width: 90%;
    left: 5%;
  }
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px) {
  .modal-content {
    width: 100%;
  }

  .postsection {
    padding-top: 110px;
    margin: 0 auto;
    float: none;
    width: 100vw;
    max-width: 100%;
  }

  .nav-left {
    display: none;
  }

  .nav-top {
    width: 100%;
    float: left;
    left: 0;
  }
}
